package xyz.matj1.bp.types;

import mcdr.test.utils.ObjectCategoryMgmt.Category;
import messif.objects.LocalAbstractObject;
import xyz.matj1.bp.enums.MocapType;

import java.util.Map;


public record SequenceWithPrecisions(
	LocalAbstractObject object,
	Category category,
	Map<MocapType, Double> precisions
) {
	public Double precision(MocapType type) {
		return this.precisions.get(type);
	}
}
